Kubuntu Yakkety Live DVD boots to black screen with mouse pointer

Bug #1627348 reported by Lars Bischoff on 2016-09-24
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
kubuntu-meta (Ubuntu)
Undecided
Unassigned

Bug Description

I've tested booting from the Kubuntu 16.10 beta ISO on a
Acer Travelmate 290, 1,8GHz Pentium M, 2GB RAM, Mob. Radeon 9700 Gfx.

System boots fine until the selection of "trying" or "installing" Kubuntu.
If I select "try", system continues, finally shows the KDE login splash, then ends up with a black screen and visible mouse pointer.

Plasma seems to be active though: Moving the Mouse to the upper left edge highlights the active corner. But there is no pop-up menu on right click.

If I now press the power button, the log out dialog shows up. Confirming that, the log in screen is displayed.

If I now login again, I end up with an empty KDE Desktop, no panel. After adding the default panel manually I can work as usual with the Live Session.

Update: I could reproduce the exactly same behaviour now also within a VirtualBox session!
I've used the "Ubuntu(32bit)" OS setting and 2GB of RAM for the guest.

BTW: Using 4GB RAM the behaviour is a bit different:
Instead of a fully black screen, I get a black screen with panel.
But still no pop-up menu on right click. A click on the Panel's App launcher leads to a crash and restart of plasma. After that Plasma seems to work ok.
This behaviour I also observed on real 64bit Hardware, when booting from 32bit ISO.

Update 2, 2016-10-17:
The behavior described above is still exactly the same with the released 32 bit Kubuntu 16.10 ISO
(kubuntu-16.10-desktop-i386.iso from 12-Oct-2016 20:19 / md5sum: 66a2bed9f5c807f9dff85c638896e28b)
Both, in VirtualBox and on TravelMate 290 Hardware.

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: syslinux (not installed)
ProcVersionSignature: Ubuntu 4.8.0-11.12-generic 4.8.0-rc6
Uname: Linux 4.8.0-11-generic i686
ApportVersion: 2.20.3-0ubuntu7
Architecture: i386
CasperVersion: 1.378
CurrentDesktop: KDE
Date: Sat Sep 24 16:55:05 2016
LiveMediaBuild: Kubuntu 16.10 "Yakkety Yak" - Alpha i386 (20160921)
SourcePackage: syslinux
UpgradeStatus: No upgrade log present (probably fresh install)

Lars Bischoff (lbischoff) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1627348

tags: added: iso-testing
Marco Parillo (marco-parillo) wrote :

I did not have this issue on real HW, but I did in a VMware guest.
http://iso.qa.ubuntu.com/qatracker/milestones/367/builds/131689/testcases/1451/results/

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in syslinux (Ubuntu):
status: New → Confirmed
Marco Parillo (marco-parillo) wrote :

I was able to <ctrl><alt>F1, and type startx, but Plasma did not load fully. I could also sudo poweroff and that worked.

affects: syslinux (Ubuntu) → kubuntu-meta (Ubuntu)
description: updated
Lars Bischoff (lbischoff) wrote :

I could reproduce the exactly same behaviour now also within a VirtualBox session!
See also updated description.

description: updated
tags: added: kubuntu
Woko (wkoehn) wrote :

Maybe double of this bug: https://bugs.launchpad.net/ubuntu/+source/shim/+bug/1624096

Tried the latest built Image and it worked !

Lars Bischoff (lbischoff) wrote :

Just tested yakkety-desktop-i386.iso from 06-Oct-2016 both in VirtualBox and on TravelMate.
Issue is still exactly the same as described above.

@Woko: I also doubt that this is related, because this issue here is completely unrelated to UEFI!
Remember that we are only talking about the 32bit ISO running in VirtualBox or on ancient hardware.

Woko (wkoehn) wrote :

@Ibischoff: You are right. It was only luck that I got into the live session and was able to start the installation on the vmplayer-machine. I wasn't able to start the installed system.

How can anyone help to test, if it doesn't work in a virtual-machine ? I have no spare real system to do it.
There are two days left for the final release.

Woko (wkoehn) wrote :

Tried the image from today. What has improved is, that the live-image starts reliable in the vmplayer virtual machine now, and I am able to complete the installation process. But booting into it always results in 100% cpu-usage and a frozen system.
After shutting down and restarting, I am able to start a root-console-session via grub-recovery, but what does it help ?

Woko (wkoehn) wrote :

Just started the gui from within the root-console-session by entering 'startx' and surprisingly it worked !!

Woko (wkoehn) wrote :

Tried the released image today. Still the same result. Seems to be a race-condition while booting the vm. After resetting the hanging session several times (sometiems getting a popup saying: "The CPU has been disabled by the guest operating system"), I got into the login-screen and all worked, until next reboot.

Because this affects the released version, should I open a new bug for this issue ?

Lars Bischoff (lbischoff) wrote :

Updated bug description:

Tested again with the released 32 bit Kubuntu 16.10 ISO
(kubuntu-16.10-desktop-i386.iso from 12-Oct-2016 20:19 / md5sum: 66a2bed9f5c807f9dff85c638896e28b)
and the behavior is still exactly the same as described above.
Both, in VirtualBox and on TravelMate 290 Hardware.

description: updated
description: updated
Woko (wkoehn) wrote :

I can't believe that there seems to be no demand for running the newest Kubuntu-Version in a VM except us.

I tried with VMPlayer and VirtualBox on several Hosts. No one was working !!

Kari Haapanen (karsta62) wrote :

I encountered this as well with virtualbox 5.1.10 r112026 (Qt5.6.2) on windows (sorry about that), as well as a previous version.

Walter Lapchynski (wxl) on 2017-01-30
summary: - Live DVD boots to black screen with mouse pointer
+ Kubuntu Yakkety Live DVD boots to black screen with mouse pointer
Hein Venter (bullebak) wrote :

OK, I found a solution that worked for me. I used a .iso image to boot Kubuntu 16.10 and got the balnk screen with a mouse cursor. All I had to do in VirtualBox was to go and enable 3D excelleration, and make sure I allocated enough Video RAM - I used 64MB and it worked like a charm!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers